CREATE TABLE API_TOKEN (API_TOKEN_ID  SERIAL NOT NULL, CREATED_AT TIMESTAMP, HASHED_TOKEN VARCHAR(255), TOKEN_NAME VARCHAR(255), TOKEN_USER VARCHAR(255), USERNAME VARCHAR(255), PRIMARY KEY (API_TOKEN_ID))
CREATE TABLE RUNNING_IMPORTS (RUNNINGIMPORT_ID  SERIAL NOT NULL, DIRECTORY VARCHAR(255), HOSTNAME VARCHAR(255), TARGET_SERVICE VARCHAR(255), TIMESTAMP TIMESTAMP, PRIMARY KEY (RUNNINGIMPORT_ID))
CREATE TABLE PREFERENCE (ID  SERIAL NOT NULL, keyCol VARCHAR(255), SOURCE VARCHAR(255), username VARCHAR(255), valueCol TEXT NOT NULL, PRIMARY KEY (ID))
CREATE TABLE STATE (STATE_ID  SERIAL NOT NULL, ACCESS_COUNT BIGINT, CREATED_AT TIMESTAMP, CREATED_BY VARCHAR(255), LAST_ACCESS_AT TIMESTAMP, NAME VARCHAR(255), STATE TEXT, PRIMARY KEY (STATE_ID))
CREATE TABLE system_process (ID  SERIAL NOT NULL, process_id VARCHAR(255), process_key VARCHAR(255), last_locked BIGINT, PRIMARY KEY (ID))
CREATE TABLE API_TOKEN_GROUP (TOKEN_USER VARCHAR(255), GROUP_NAME VARCHAR(255))
ALTER TABLE API_TOKEN ADD CONSTRAINT UNQ_API_TOKEN_0 UNIQUE (USERNAME, TOKEN_NAME)
ALTER TABLE API_TOKEN ADD CONSTRAINT UNQ_API_TOKEN_1 UNIQUE (TOKEN_USER)
ALTER TABLE PREFERENCE ADD CONSTRAINT UNQ_PREFERENCE_0 UNIQUE (source, username, keyCol)
ALTER TABLE API_TOKEN_GROUP ADD CONSTRAINT FK_API_TOKEN_GROUP_TOKEN_USER FOREIGN KEY (TOKEN_USER) REFERENCES API_TOKEN (TOKEN_USER)
